<template>
	<div class="header-nav" :class="{ 'is-active': isActive }">
		<div class="nav-container">
			<nav class="main-nav">
				<ul class="list-nostyle">
					<li
						v-for="(nav, i) in mainNavData"
						:key="i"
						class="main-nav__item"
						:class="{
							'is-active': path.split('/')[1] === nav.url.split('/')[1]
						}"
						@click="changeNav"
					>
						<nuxt-link class="header-link" :to="nav.url">{{
							nav.title
						}}</nuxt-link>
					</li>
				</ul>
			</nav>
		</div>
	</div>
</template>

<script>
export default {
	name: 'HeaderNav',
	props: {
		isActive: {
			type: Boolean,
			default: false
		}
	},
	data() {
		return {
			mainNavData: [
				{
					title: 'Get Started',
					url: '/get-started'
				},
				{
					title: 'Headings',
					url: '/headings'
				},
				{
					title: 'Colors',
					url: '/colors'
				},
				{
					title: 'Lists',
					url: '/lists'
				},
				{
					title: 'Text Alignment',
					url: '/text-alignment'
				},
				{
					title: 'Buttons',
					url: '/buttons'
				},
				{
					title: 'Alert',
					url: '/alert'
				},
				{
					title: 'Card',
					url: '/card'
				},
				{
					title: 'Media Object',
					url: '/media-object'
				},
				{
					title: 'Grid',
					url: '/grid'
				},
				{
					title: 'Table',
					url: '/table'
				},
				{
					title: 'Form',
					url: '/form'
				}
			],
			path: this.$route.path
		}
	},
	methods: {
		changeNav() {
			this.path = this.$route.path
		}
	}
}
</script>

<style lang="scss">
.header-nav {
	height: calc(100vh - 60px);
	margin-top: 60px;
	background-color: white;
	width: 180px;
	border-right: 1px solid #cccccc;
	position: fixed;
	z-index: 2;
	overflow-y: scroll;

	box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.15);
	transition: -webkit-transform 0.3s ease;
	transition: transform 0.3s ease;
	transition: transform 0.3s ease, -webkit-transform 0.3s ease;
	-webkit-transform: translateX(-100%);
	transform: translateX(-100%);

	@media #{$medium} {
		transform: translateX(0%);
		transition: none;
	}
}
.header-nav::-webkit-scrollbar {
	width: 5px;
	display: none;
}

.header-nav:hover::-webkit-scrollbar {
	display: block;
}

/* Track */
.header-nav::-webkit-scrollbar-track {
	background: none;
}

/* Handle */
.header-nav::-webkit-scrollbar-thumb {
	background: #d2d1d1;
	border-radius: 20px;
}

/* Handle on hover */
.header-nav::-webkit-scrollbar-thumb:hover {
	background: #555;
}
.is-active {
	transform: translateX(0%);
}
.main-nav {
	& > ul {
		display: flex;
		flex-direction: column;
	}

	padding-top: 20px;
	width: 100%;

	li {
		font-weight: 500;
		display: flex;
		align-items: center;
		padding: 8px 8px 8px 24px;
		color: $black80;

		&:hover,
		&:focus {
			color: $black;
		}

		&.is-active {
			font-weight: 600;
			background-color: $black10;
		}
	}

	ul,
	li {
		height: 100%;
	}
}

.nav-container {
	display: flex;
	flex-direction: column;
	height: 100%;
}

.header-link {
	color: $black70;
	height: 100%;
	display: flex;
	align-items: center;
	border-right: 3px solid transparent;
	border-bottom: 3px solid transparent;

	&:hover,
	&:focus,
	&.is-active {
		color: $black70;
	}
}
</style>
